Replication Links - List By Database
Gets a list of replication links on database.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/replicationLinks?api-version=2021-02-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
database
|
path | True |
|
The name of the database. |
|
resource
|
path | True |
|
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
server
|
path | True |
|
The name of the server. |
|
subscription
|
path | True |
|
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
|
The API version to use for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the list of replication links. |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
List replication links on server on database.
Sample Request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/sourcesvr/databases/tetha-db/replicationLinks?api-version=2021-02-01-preview
Sample Response
{
"value": [
{
"properties": {
"partnerServer": "testsvr",
"partnerDatabase": "tetha-db",
"partnerLocation": "Japan East",
"role": "Primary",
"partnerRole": "Secondary",
"replicationMode": "ASYNC",
"startTime": "2018-06-21T08:11:46.907Z",
"percentComplete": 100,
"replicationState": "CATCH_UP",
"isTerminationAllowed": true,
"linkType": "GEO"
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/sourcesvr/databases/tetha-db/replicationLinks/fb92de60-eb87-4a58-b250-3362d0cfdf26",
"name": "fb92de60-eb87-4a58-b250-3362d0cfdf26"
},
{
"properties": {
"partnerServer": "targetsvr",
"partnerDatabase": "tetha-db",
"partnerLocation": "Japan East",
"role": "Primary",
"partnerRole": "Secondary",
"replicationMode": "ASYNC",
"startTime": "2018-06-21T08:11:34.423Z",
"percentComplete": 100,
"replicationState": "CATCH_UP",
"isTerminationAllowed": true,
"linkType": "GEO"
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/sourcesvr/databases/tetha-db/replicationLinks/6ad1eefc-18a2-4fcb-94f3-4b654ba788d7",
"name": "6ad1eefc-18a2-4fcb-94f3-4b654ba788d7"
}
]
}
Definitions
|
Replication |
A replication link. |
|
Replication |
A list of replication links. |
|
Replication |
Link type (GEO, NAMED). |
|
Replication |
Local replication role. |
|
Replication |
Replication state (PENDING, SEEDING, CATCHUP, SUSPENDED). |
ReplicationLink
A replication link.
| Name | Type | Description |
|---|---|---|
| id |
|
Resource ID. |
| name |
|
Resource name. |
| properties.isTerminationAllowed |
|
Whether the user is currently allowed to terminate the link. |
| properties.linkType |
Link type (GEO, NAMED). |
|
| properties.partnerDatabase |
|
Resource partner database. |
| properties.partnerLocation |
|
Resource partner location. |
| properties.partnerRole |
Partner replication role. |
|
| properties.partnerServer |
|
Resource partner server. |
| properties.percentComplete |
|
Seeding completion percentage for the link. |
| properties.replicationMode |
|
Replication mode. |
| properties.replicationState |
Replication state (PENDING, SEEDING, CATCHUP, SUSPENDED). |
|
| properties.role |
Local replication role. |
|
| properties.startTime |
|
Time at which the link was created. |
| type |
|
Resource type. |
ReplicationLinkListResult
A list of replication links.
| Name | Type | Description |
|---|---|---|
| nextLink |
|
Link to retrieve next page of results. |
| value |
Array of results. |
ReplicationLinkType
Link type (GEO, NAMED).
| Name | Type | Description |
|---|---|---|
| GEO |
|
|
| NAMED |
|
ReplicationRole
Local replication role.
| Name | Type | Description |
|---|---|---|
| Copy |
|
|
| NonReadableSecondary |
|
|
| Primary |
|
|
| Secondary |
|
|
| Source |
|
ReplicationState
Replication state (PENDING, SEEDING, CATCHUP, SUSPENDED).
| Name | Type | Description |
|---|---|---|
| CATCH_UP |
|
|
| PENDING |
|
|
| SEEDING |
|
|
| SUSPENDED |
|